org.apache.avro.perf.test.record.jmh_generated

## Class RecordWithOutOfOrderTest_TestStateDecode_jmhType_B1

- java.lang.Object
- - org.apache.avro.perf.test.BasicState
  - - org.apache.avro.perf.test.record.RecordWithOutOfOrderTest.TestStateDecode
    - - org.apache.avro.perf.test.record.jmh_generated.RecordWithOutOfOrderTest_TestStateDecode_jmhType_B1

Direct Known Subclasses:
  RecordWithOutOfOrderTest_TestStateDecode_jmhType_B2

    public class RecordWithOutOfOrderTest_TestStateDecode_jmhType_B1
    extends RecordWithOutOfOrderTest.TestStateDecode

### Field Summary

### Fields inherited from class org.apache.avro.perf.test.BasicState

`BATCH_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`RecordWithOutOfOrderTest_TestStateDecode_jmhType_B1()`

### Method Summary

### Methods inherited from class org.apache.avro.perf.test.record.RecordWithOutOfOrderTest.TestStateDecode

`doSetupInvocation, doSetupTrial`

### Methods inherited from class org.apache.avro.perf.test.BasicState

`getBatchSize, getNullOutputStream, getRandom, newDecoder, newEncoder, newEncoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RecordWithOutOfOrderTest_TestStateDecode_jmhType_B1

    public RecordWithOutOfOrderTest_TestStateDecode_jmhType_B1()